*,
*::before,
*::after{
   box-sizing: border-box;
}
.html{
   scroll-behavior: smooth;
}
.page-body{
   padding: 30px 100px;
}
.block{
   width: 300px;
   height: 200px;
   border: 1px solid #000000;
   background-color: darkorange;
   margin-left: auto;
   margin-right: auto;
   transition: transform 0.7s;
}
.show-toggel{
   font-size: 30px;
}
.toggle{
   display: block;
   /*margin-top: 200vh;*/
}
.toggle:target{
   display: block;
}
.toggle:target +translateX{
   display: block;
}
.toggle:checked{
   transform: translateX(50px);
}
.translate:hover{
   transform: perspective(100px) translate(100px, 100px) translateZ(50px);
}
.scaleX:hover{
   transform: scale3d(1.5, 0.5, 0);
}
.rotate:hover{
   transform: rotate(0.5turn);
   transform-origin: 20px 20px;
}
.skew:hover{
   transform: skewY(45deg);
}
.animation{
   width: 150px;
   animation: salut 10s cubic-bezier(.11, 1, .94, 0) 1s 2;
}
@keyframes salut {
   0% {
      transform: scale(0.5) rotateY(0deg);
      background-color: darkorange;
   }
   /*25%{*/
   /*   transform: scale(1.5)) rotateY(120deg);*/
   /*}*/
   50%{
      transform: scale(1) rotateY(240deg);
   }
   100%{
      transform: scale(1.5) rotateY(360deg);
      background-color: green;
   }
}
.filter{
   /*filter: blur(2px);*/
   /*filter: braghtness(50%);*/
   /*filter: hue-rotate(120deg);*/
   /*filter: saturate(150%);*/
   /*filter: contrast(150%);*/
   /*filter: grayscale(0.5);*/
   /*filter: sepia();*/
   /*filter: opasity();*/
   box-shadow: 4px 4px 0 red;
   filter: drop-shadow(4px 4px green);
   transform: perspective(100px);
}
.filter:hover{
   /*filter: blur(0);*/
   /*filter: braghtness(400%);*/
   /*filter: hue-rotate(0);*/
   /*filter: saturate(0);*/
   /*filter: contrast(50%);*/
   /*filter: grayscale(1);*/
   /*filter: sepia();*/
   /*filter: opasity();*/
}